POST Reorder module
Set the sequence order of one module within its course. Other modules are not renumbered.
Set the sequence order of one module within its course. Other modules are not renumbered.
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Module UUID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/modules/{id}/reorder" \ -H "Content-Type: application/json" \ -d '{ "sequence_order": 1 }'{ "data": { "id": "{id}", "course_id": "{course_id}", "title": "string", "sequence_order": 0, "published": true, "block_count": 0, "prerequisite_module_ids": [ "{items}" ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}